Name:           python-pycparser
Summary:        A parser for the C language
Version:        2.19
Release:        1
License:        BSD
URL:            http://github.com/eliben/pycparser
Source0:        http://github.com/eliben/pycparser/archive/pycparser-release_v%{version}.tar.gz
# source1 from https://koji.fedoraproject.org/koji/buildinfo?buildID=1092324
Source1:        pycparser-0.91.1-remove-relative-sys-path.py
# patch1 is adapted from https://koji.fedoraproject.org/koji/buildinfo?buildID=1092324
# remove embedded libraries during packaging
Patch1:       pycparser-2.10-ply.patch

BuildArch:      noarch

BuildRequires:  python2-devel python2-setuptools python2-pycparser python-unversioned-command
# for unit tests
BuildRequires:  dos2unix python2-ply >= 3.6 python3-devel python3-setuptools python3-ply

%description
pycparser is a parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications
that need to parse C source code.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}

%package -n python2-pycparser
Summary:        A parser for the C language
Group:          System Environment/Libraries
Requires:       python2-ply >= 3.6
%{?python_provide:%python_provide python2-pycparser}
%description -n python2-pycparser
pycparser is a parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications
that need to parse C source code.
This package is for Python2.

%package -n python3-pycparser
Summary:        A parser for the C language
Group:          System Environment/Libraries
Requires:       python3-ply
%{?python_provide:%python_provide python3-pycparser}

%description -n python3-pycparser
pycparser is a parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications
that need to parse C source code.
This package is for Python3.
%prep
%autosetup -n pycparser-release_v%{version} -p1
# remove embedded copy of ply
rm -rf pycparser/ply
%{__python2} %{SOURCE1} examples
dos2unix LICENSE

%build
%py2_build
pushd build/lib/pycparser
%{__python2} _build_tables.py
popd

%py3_build
pushd build/lib/pycparser
%{__python3} _build_tables.py
popd

%install
%py2_install
%py3_install

%check
%{__python2} tests/all_tests.py
%{__python3} tests/all_tests.py

%files devel
%defattr(-,root,root)
%doc examples

%files -n python2-pycparser
%defattr(-,root,root)
%license LICENSE
%{python_sitelib}/pycparser/
%{python_sitelib}/pycparser-*.egg-info

%files -n python3-pycparser
%defattr(-,root,root)
%license LICENSE
%{python3_sitelib}/pycparser/
%{python3_sitelib}/pycparser-*.egg-info

%changelog
* Sun Sep 15 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.19-1
- Package init
